# Creating your AWS Credentials

Even if you already have an AWS account you still need to Sign Up to Amazon SES. Go to the [Amazon SES Sign up page](https://aws.amazon.com/ses/) and follow the On Screen Instructions.

![](/files/YskJ8dv0q1Eieybed6u5)

![](/files/FbtC4bpnEaxbYuOzdrx1)

Once you are done you can continue with the following steps.

**1. Create a permissions policy for Mailblast. We only need access to AWS SES and AWS SNS for email delivery and tracking.**

Go to the [IAM Create Policy](https://console.aws.amazon.com/iam/home#/policies$new) page:

Select the **JSON** Tab and paste in the following:

```
{
  "Version": "2012-10-17",
  "Statement": [
    {
      "Effect": "Allow",
      "Action": [
        "ses:*",
        "sns:ListTopics",
        "sns:CreateTopic",
        "sns:GetTopicAttributes",
        "sns:Subscribe"
      ],
      "Resource": [
        "*"
      ]
    }
  ]
}
```

Enter **mailblast-policy** as the name and enter in the above policy in the **Policy Document.**

\*\*\*\*This gives Mailblast the required permissions to send and track emails on your behalf. Click on the **Create Policy** button when done.

![](/files/2tSOWIUOpK4MidnYj1pI)

**2. Create new user for Mailblast.**

You now need to a create a new user. Head over to the the [IAM Management Console](https://signin.aws.amazon.com/signin?redirect_uri=https%3A%2F%2Fus-east-1.console.aws.amazon.com%2Fiam%2Fhome%3Fregion%3Dus-east-1%26state%3DhashArgs%2523%252Fusers%2524new%253Fstep%253Ddetails%26isauthcode%3Dtrue\&client_id=arn%3Aaws%3Aiam%3A%3A015428540659%3Auser%2Fiam\&forceMobileApp=0\&code_challenge=rE-FvqYTA-vGzInRloo2aolKMgPJOrcpuIePHzexVtU\&code_challenge_method=SHA-256) and create a new user called **mailblast-user**.

Check the **Programmatic access** option click **Next: Permissions**.

![](/files/X819MKVvZXmRf7nLAABl)

You now need to attach the permission policy you created earlier to your new user. Select **mailblast-policy** and click **Next: Review**.

![](/files/3XsRop8ChcfCdzaXLXlf)

![](/files/HXlt7sipfX8qlpIkAdgm)

**3. Configuring Mailblast with your new credentials**

Click **Show** to reveal the credentials and Copy the **Access key ID** and **Secret access key** over into the Mailblast [AWS Settings](https://www.mailblast.io/account/aws_settings) page.

![](/files/sn7UuwrD4eGjCcQz137r)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.mailblast.io/getting-started/creating-your-aws-credentials.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
